Debian Bug report logs - #670214
RFP: libkaz -- Kazlib's reusable data structure modules

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: balint@balintreczey.hu

Date: Tue, 24 Apr 2012 06:00:01 UTC

Severity: wishlist

Fixed in version libkaz/1.21-2

Done: Balint Reczey <balint@balintreczey.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Balint Reczey <balint@balintreczey.hu>:
Bug#670214; Package wnpp. (Tue, 24 Apr 2012 06:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Balint Reczey <balint@balintreczey.hu>. (Tue, 24 Apr 2012 06:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libkaz -- Kazlib's reusable data structure modules
Date: Tue, 24 Apr 2012 07:57:18 +0200
Package: wnpp
Severity: wishlist
Owner: Balint Reczey <balint@balintreczey.hu>

* Package name    : libkaz
  Version         : 1.20 (hopefully 1.21)
  Upstream Author : Kaz Kylheku <kaz@kylheku.com>
* URL             : http://www.kylheku.com/~kaz/kazlib.html
* License         : 3-clause BSD license
  Description     : Kazlib's reusable data structure modules
 Kazlib is a collection of program modules portably written in ANSI C.
 .
 It contains a dictionary module based on red-black trees, an extendible
 hashing module, and a system for emulating exception handling.

Packaging is being worked on here:
http://anonscm.debian.org/gitweb/?p=collab-maint/libkaz.git

I have contacted upstream to accept my patches which would make packaging easier
and also asked for a new release with the 3-clause BSD license.
The current latest release, 1.20 has a non-standard license, but
upstream's latest version at
http://git.savannah.gnu.org/cgit/kazlib.git/ is covered by 3-clause BSD.




Added blocking bug(s) of 670214: 672307 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 16:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Balint Reczey <balint@balintreczey.hu>:
Bug#670214; Package wnpp. (Sat, 17 Aug 2013 07:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Balint Reczey <balint@balintreczey.hu>. (Sat, 17 Aug 2013 07:15:01 GMT) Full text and rfc822 format available.

Message #12 received at 670214@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 670214@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libkaz: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:08 +0200
retitle 670214 RFP: libkaz -- Kazlib's reusable data structure modules
noowner 670214
tag 670214 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging libkaz. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of libkaz back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging libkaz, please send a mail to
<control@bugs.debian.org> with:

 retitle 670214 ITP: libkaz -- Kazlib's reusable data structure modules
 owner 670214 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <670214@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libkaz -- Kazlib's reusable data structure modules' from 'ITP: libkaz -- Kazlib's reusable data structure modules' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:56 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Balint Reczey <balint@balintreczey.hu>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:57 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 20:09:11 GMT) Full text and rfc822 format available.

Reply sent to Balint Reczey <balint@balintreczey.hu>:
You have taken responsibility. (Mon, 02 Sep 2013 16:03:32 GMT) Full text and rfc822 format available.

Notification sent to balint@balintreczey.hu:
Bug acknowledged by developer. (Mon, 02 Sep 2013 16:03:33 GMT) Full text and rfc822 format available.

Message #23 received at 670214-close@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint@balintreczey.hu>
To: 670214-close@bugs.debian.org
Subject: Bug#670214: fixed in libkaz 1.21-2
Date: Mon, 02 Sep 2013 16:00:10 +0000
Source: libkaz
Source-Version: 1.21-2

We believe that the bug you reported is fixed in the latest version of
libkaz, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670214@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Balint Reczey <balint@balintreczey.hu> (supplier of updated libkaz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 16 May 2012 00:10:42 +0200
Source: libkaz
Binary: libkaz-dev libkaz1
Architecture: source amd64
Version: 1.21-2
Distribution: unstable
Urgency: low
Maintainer: Balint Reczey <balint@balintreczey.hu>
Changed-By: Balint Reczey <balint@balintreczey.hu>
Description: 
 libkaz-dev - Kazlib's reusable data structure development tools
 libkaz1    - Kazlib's reusable data structure modules
Closes: 670214
Changes: 
 libkaz (1.21-2) unstable; urgency=low
 .
   * set CFLAGS properly in debian/rules
   * ship libkaz.so symlink in libkaz-dev
   * use versioned machine readable copyright format in debian/copyright
 .
 libkaz (1.21-1) unstable; urgency=low
 .
   * Initial release (Closes: #670214)
Checksums-Sha1: 
 0fc636d61987a6101439bf2a1a3daf5c3a373feb 1861 libkaz_1.21-2.dsc
 a462fdfabd67c6200964350804b05de005c83b2d 76312 libkaz_1.21.orig.tar.xz
 28b5be18d9c70444dbd3ac343655302f13d20189 2705 libkaz_1.21-2.debian.tar.gz
 ef0a731ecf8578447fa7485bff3a55ffdf281d9f 28308 libkaz-dev_1.21-2_amd64.deb
 2d0c9566e4584a3cb686ff6713ff5c746328ff7b 20288 libkaz1_1.21-2_amd64.deb
Checksums-Sha256: 
 439de26b10770edf10e54ecf8ffb967c03140251497e23ed681675a84889ba06 1861 libkaz_1.21-2.dsc
 d701d0f2d8427ac0dec3cc581ad0036dc91d3581d66207179c01af523e5852f2 76312 libkaz_1.21.orig.tar.xz
 9d1c0e34dc55d8655a28e9a12ca1c1d46dcfac40723246377a8413c941419890 2705 libkaz_1.21-2.debian.tar.gz
 dcc6f745b6b14dde1477e6fabf7ca5a8796af1d000aba7c5b6252931d2e21f13 28308 libkaz-dev_1.21-2_amd64.deb
 925ec43d8b4bde43239be04af50b188d949ef85dd7dcb6e9559c809258a289fd 20288 libkaz1_1.21-2_amd64.deb
Files: 
 12f2f83a7a19d35bb4d60c7e34d7b20e 1861 libs extra libkaz_1.21-2.dsc
 ce2186c160e895e2e396b954874e886d 76312 libs extra libkaz_1.21.orig.tar.xz
 4f2776beccdd7e6f928db9474072ba34 2705 libs extra libkaz_1.21-2.debian.tar.gz
 e7f7896e789164060cf45d227932f4a4 28308 libdevel extra libkaz-dev_1.21-2_amd64.deb
 5a1931ec464e5ce06ec25120b40b80c0 20288 libs extra libkaz1_1.21-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSD4GgAAoJEPZk0la0aRp9ATkQALkd7IS21fXyTLd5Mpwlv+sp
T7VMk79mgg5I7HfKkdpVZUlUmKnowg8+TQV58mCSZurvcgKz8X7drxKUq0mYOTBd
mRhYncwcn3w+jQuvHoEH7oE2VWzIlZNgBShom9RD1An2eObl1BQrP+bziYIvw28J
yZx9kggOjRhdOOYTMEcl0QaJrkOceOZY4FRRo6CoET01v9M/vCiDt/oT3Kd53yse
kLjYfVE6lfjqLqc65AEDgDMw8CODzYAZsAYe4uHMePnOheufRTig/JZotcRH5qZf
ib3wpMf1rJWNv9UMY7AcY27xyWdrdbCKzfIIB5/9l56DPlJyPRMw8OY53+Ffb8ub
eDlmJRyl67OB6arLkgKbi74wQFaiRQzq25IHF1/DpppuU+Bo02FSb8pGREMFpbhk
GePZ5Ibc26QOesriFfq8/1FYxINYmbaXoOiCTnIPF54ww8XLcaRw/PcWgveUgEuq
hdqJdLzs5k6PjhZnIBHq/MJOc36M6YPcQoWUGQRvGijjDD8ggOhXLUJ853fTVQE+
VD3mT9XL54E1NFHaG7ZsE3tXwAgRaALjBfgReM8ALhL45J/2lhFifNlzHGBNIYx/
NxxKH/uUO+hNgzIlR0jqawN8vt2gj1CjcUFSa7jAcoBXHeM+lNWkV49WFQxfJDOV
AIxTsGDZIfvOpnixTBsY
=4R4b
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:47:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.